package edu.nju.configuration;


import com.aliyun.oss.ClientBuilderConfiguration;
import com.aliyun.oss.OSS;
import com.aliyun.oss.OSSClientBuilder;
import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

/**
 * @author: Diors.Po
 * @Email: 171256175@qq.com
 * @date 2019-08-05 15:51
 */
@Data
@Configuration
public class OSSConfiguration {

    @Value("${oss.accessKeyId}")
    private String accessKeyId;

    @Value(("${oss.accessKeySecret}"))
    private String accessKeySecret;

    @Value("${oss.endPoint}")
    private String endPoint;

    @Value("${oss.bucketName}")
    private String bucketName;

    @Value("${oss.idleConnectionTime}")
    private String idleConnectionTime;

    public String getBaseUrl() {
        return "http://" + bucketName + "." + endPoint;
    }

    public OSS ossClient(){
        return new OSSClientBuilder().build(endPoint, accessKeyId, accessKeySecret);
    }

    public OSS ossClientConf(ClientBuilderConfiguration conf){
        return new OSSClientBuilder().build(endPoint, accessKeyId, accessKeySecret, conf);
    }
}
