package edu.nju.dao;

import edu.nju.entities.CaseToBug;
import edu.nju.entities.CrowdTest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.mongodb.core.MongoOperations;
import org.springframework.data.mongodb.core.query.Criteria;
import org.springframework.data.mongodb.core.query.Query;
import org.springframework.stereotype.Repository;
import java.util.List;

/**
 * @Author JiaWei Xu
 * @Date 2021-01-06 16:43
 * @Email xjwhhh233@outlook.com
 */
@Repository
public class CrowdTestDao {
    @Autowired
    private MongoOperations mongoOperations;

    public void save(CrowdTest crowdTest) {
        mongoOperations.save(crowdTest);
    }

    public CrowdTest findByCaseTakeId(String caseTakeId){
        Query query = new Query();
        query.addCriteria(Criteria.where("case_take_id").is(caseTakeId));
        List<CrowdTest> crowdTestList= mongoOperations.find(query, CrowdTest.class);
        if(crowdTestList.size()==0){
            return null;
        }else{
            return crowdTestList.get(0);
        }
    }
}
