package edu.nju.dao;

import edu.nju.entities.ShortToken;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.mongodb.core.MongoOperations;
import org.springframework.data.mongodb.core.query.Criteria;
import org.springframework.data.mongodb.core.query.Query;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author JiaWei Xu
 * @Date 2020-12-03 16:35
 * @Email xjwhhh233@outlook.com
 */
@Repository
public class ShortTokenDao {
    @Autowired
    private MongoOperations mongoOperations;

    public String save(ShortToken shortToken) {
        mongoOperations.save(shortToken);
        return shortToken.getId();
    }

    public String delete(ShortToken shortToken) {
        mongoOperations.remove(shortToken);
        return shortToken.getId();
    }

    public ShortToken findByTokenString(String token){
        Query query = new Query();
        query.addCriteria(Criteria.where("token").is(token));
        List<ShortToken> list = mongoOperations.find(query,ShortToken.class);
        if(list.size() == 0)  {return null;}
        return list.get(0);
    }

    public ShortToken findByDetailInfo(String examId,String caseId,String userId){
        Query query = new Query();
        query.addCriteria(Criteria.where("examId").is(examId).and("caseId").is(caseId).and("userId").is(userId));
        List<ShortToken> list = mongoOperations.find(query,ShortToken.class);
        if(list.size() == 0)  {return null;}
        return list.get(0);
    }


}
