package edu.nju.entities;

import org.springframework.data.annotation.Id;
import org.springframework.data.annotation.PersistenceConstructor;
import org.springframework.data.mongodb.core.mapping.Document;

import java.io.Serializable;

/**
 * @Author JiaWei Xu
 * @Date 2020-12-03 15:11
 * @Email xjwhhh233@outlook.com
 */
@Document
public class ShortToken implements Serializable {

    private static final long serialVersionUID = 8980368107739914394L;

    @Id
    private String id;

    private String token;

    private String beginTime;

    private String endTime;

    private String caseId;

    private String examId;

    private String userId;

    private int roleId;

    private boolean disabled;

    public ShortToken(String token, String beginTime, String endTime, String caseId, String examId, String userId,int roleId,boolean disabled) {
        this.token = token;
        this.beginTime = beginTime;
        this.endTime = endTime;
        this.caseId = caseId;
        this.examId = examId;
        this.userId = userId;
        this.roleId = roleId;
        this.disabled=disabled;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public String getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(String beginTime) {
        this.beginTime = beginTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getCaseId() {
        return caseId;
    }

    public void setCaseId(String caseId) {
        this.caseId = caseId;
    }

    public String getExamId() {
        return examId;
    }

    public void setExamId(String examId) {
        this.examId = examId;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public boolean isDisabled() {
        return disabled;
    }

    public void setDisabled(boolean disabled) {
        this.disabled = disabled;
    }

    public int getRoleId() {
        return roleId;
    }

    public void setRoleId(int roleId) {
        this.roleId = roleId;
    }
}
