package edu.nju.service;

import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

@Slf4j
@Service
public class UploadServiceImpl implements UploadService {

    @Autowired
    private FileService fileService;

	@Value("${save.folder}")
	private String folderName;

	@Value("${save.input}")
	private String inputName;

	@Value("${save.image}")
	private String imagePath;

	@Override
	public String uploadImage(MultipartFile file, String caseId, String work_id) {
		String fileName = folderName.substring(1) + imagePath + "/" + caseId +"/"+ work_id +"_"+System.currentTimeMillis()+""
				+file.getOriginalFilename().substring(file.getOriginalFilename().lastIndexOf("."), file.getOriginalFilename().length());
		return doUpload(fileName, caseId, file);
	}


    private String doUpload(String fileName, String caseId, MultipartFile file){
        return fileService.sliceUploadFile(fileName, caseId, file);
    }
}
