package edu.nju.util;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

public class TimeUtil {

    private static final String format  = "MM-dd HH:mm:ss";
    private static final String monthDayHour  = "MM-dd HH:mm";
    private static final String dayHour = "dd HH:mm";
    private static final SimpleDateFormat sdf = new SimpleDateFormat(format);
    private static final SimpleDateFormat monthDayHourFormat = new SimpleDateFormat(monthDayHour);
    private static final SimpleDateFormat dayHourFormat = new SimpleDateFormat(dayHour);
    private static final long hourMillisecond = 3600000;

    public static Date StringToDate(String datetime){
        SimpleDateFormat sdFormat=new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        Date date = new Date();
        try {
            date = sdFormat.parse(datetime);
        } catch (ParseException e) {
            // TODO Auto-generated catch block
            e.printStackTrace();
        }
        return date;
    }

    public static String timeStamp2Date(String seconds) {
        if (seconds == null || seconds.isEmpty() || seconds.equals("null")) {
            return "";
        }
        return sdf.format(new Date(Long.valueOf(seconds)));
    }

    public static String timestamp2MonthDayHour(String timestamp,int hourOffset) {
        if (timestamp == null || timestamp.isEmpty() || timestamp.equals("null")) {
            return "";
        }
        return monthDayHourFormat.format(new Date(Long.valueOf(timestamp)+hourMillisecond*hourOffset));
    }

    public static String timestamp2DayHour(long timeStamp,int hourOffset){
        return dayHourFormat.format(new Date(timeStamp+hourMillisecond*hourOffset));
    }

}
